Skip to main content
GET
/
metrics
/
ads
/
campaigns
Ad campaign overview
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/metrics/ads/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "campaigns": [
      {
        "id": "<string>",
        "name": "<string>",
        "platform": "<string>",
        "status": "<string>",
        "objective": "<string>",
        "impressions30d": 123,
        "clicks30d": 123,
        "spend30d": 123,
        "conversions30d": 123,
        "reach30d": 123,
        "currency": "<string>"
      }
    ],
    "totals": {
      "totalCampaigns": 123,
      "totalImpressions": 123,
      "totalClicks": 123,
      "totalSpend": 123,
      "totalConversions": 123
    }
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

platform
enum<string>

Filter by ad platform

Available options:
google,
meta
status
string

Filter by campaign status

Response

Campaign overview

success
boolean
required
data
object